%global momorel 1
%global md5sum_src0 89604ea8fadc990c7bb668259dacb439

Summary: Archive-Tar Perl module
Name: perl-Archive-Tar
Version: 1.30
Release: %{momorel}m
License: GPL or Artistic
Group: Development/Languages
%NoSource 0 http://www.cpan.org/modules/by-module/Archive/Archive-Tar-%{version}.tar.gz %{md5sum_src0}
URL: http://www.cpan.org/modules/by-module/Archive/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: perl >= 5.8.5
BuildPreReq: perl-Compress-Zlib >= 1.19-6m

%description
Archive-Tar Perl module

%prep
%setup -q -n Archive-Tar-%{version}

%build
CFLAGS="%optflags" perl Makefile.PL
make
make test

%install
rm -rf	%{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm -f %{buildroot}%{perl_sitearch}/auto/Archive/Tar/.packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/ptar
%{_bindir}/ptardiff
%{_mandir}/man?/*
%{perl_sitelib}/Archive/Tar
%{perl_sitelib}/Archive/Tar.pm

%changelog
* Sun Aug  6 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.30-1m)
- update to 1.30

* Sun May 07 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.29-1m)
- update to 1.29

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.28-1m)
- version 1.28
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (1.26-1m)
- update to 1.26

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.24-1m)
- version up to 1.24
- built against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.08-4m)
- rebuild against perl-5.8.5
- rebuild against perl-Compress-Zlib 1.19-6m

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.08-3m)
- remove Epoch from BuildPrereq

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (1.08-2m)
- revised spec for rpm 4.2.

* Tue Jan 13 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.08-1m)

* Sun Nov 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.23-1m)

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.22-8m)
- rebuild against perl-5.8.2
- rebuild against perl-Compress-Zlib 1.19-5m

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.22-7m)
- rebuild against perl-5.8.1

* Wed Oct 29 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (0.22-6m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.22-5m)
- rebuild against perl-5.8.0

* Thu Feb 28 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (0.22-4k)
- delete perllocal.pod
- PreReq and BuildPreReq perl-Compress-Zlib
- use perl_sitelib macros

* Mon Feb 24 2002 Shingo Akagaki <dora@kondara.org>
- (0.22-2k)
- create
